Skip to main content
GET
Get models

Authorizations

Authorization
string
header
required

API key authorization. Pass your API key in the Authorization header as a Bearer token. Both new (gsk_*) and legacy (gsk-) API keys are accepted, e.g. Authorization: Bearer gsk_... or Authorization: Bearer gsk-....

Query Parameters

ids
string[]

Filter by model IDs

organizationIds
string[]

Filter by organization IDs

names
string[]

Filter by model names (exact match, multiple)

name
string

Filter by model name (partial match)

includeDefaultEntities
boolean

Include default/predefined models

includeOwnEntities
boolean

Include models owned by the user's organization

sort
string[]

Sort instructions (field and direction pairs)

limit
integer

Maximum number of results

offset
integer

Number of results to skip

fromCreatedAt
string<date-time>

Filter models created at or after this timestamp (ISO 8601 format)

toCreatedAt
string<date-time>

Filter models created at or before this timestamp (ISO 8601 format)

Response

Models retrieved successfully

id
string
Example:

"model_123"

organizationId
string | null
Example:

"org_123"

userId
string | null
Example:

"user_123"

name
string
Example:

"GPT-4"

inputCostPerToken
number | null
Example:

0.00001

outputCostPerToken
number | null
Example:

0.00003

cacheReadInputTokenCost
number | null
Example:

0.000005

cacheCreationInputTokenCost
number | null
Example:

0.000015

inputCostPerTokenAbove128kTokens
number | null
Example:

0.00002

outputCostPerTokenAbove128kTokens
number | null
Example:

0.00006

tokenizerProvider
string | null
Example:

"OPENAI"

source
enum<string> | null
Available options:
PREDEFINED,
CUSTOM
Example:

"PREDEFINED"

createdAt
string<date-time>
deletedAt
string<date-time> | null